USE [COWS]
GO

/****** Object:  Table [dbo].[PS_RCPT_QUEUE]    Script Date: 11/08/2016 09:36:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[PS_RCPT_QUEUE](
	[PO_RCVD_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[PRCH_ORDR_NBR] [varchar](15) NOT NULL,
	[ORDR_ID] [int] NOT NULL,
	[REQSTN_NBR] [varchar](10) NOT NULL,
	[FSA_CPE_LINE_ITEM_ID] [int] NOT NULL,
	[EQPT_RCVD_BY_ADID] [varchar](10) NULL,
	[RCVD_QTY] [int] NOT NULL,
	[PS_RCVD_STUS] [int] NULL,
	[PS_SENT_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NULL,
	[RCVD_DT] [datetime] NULL,
	[BATCH_SEQ] [varchar](8) NULL,
 CONSTRAINT [PK_PS_PO_RCVD] PRIMARY KEY CLUSTERED 
(
	[PO_RCVD_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_PS_PO_RCVD] UNIQUE NONCLUSTERED 
(
	[PO_RCVD_ID] ASC,
	[FSA_CPE_LINE_ITEM_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[PS_RCPT_QUEUE] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO


